#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  libatomic_ops-7.6.12

- Next

  libbytesize-2.6

- Up
- Home

# libblockdev-2.26

## Introduction to libblockdev

libblockdev is a C library supporting GObject Introspection for manipulation of block devices. It has a plugin-based architecture where each technology (like LVM, Btrfs, MD RAID, Swap,...) is implemented in a separate plugin, possibly with multiple implementations (e.g. using LVM CLI or the new LVM DBus API).

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/storaged-project/libblockdev/releases/download/2.26-1/libblockdev-2.26.tar.gz

- Download MD5 sum: d022c1ebb9b9a838c1a8c8b2b781b69d

- Download size: 912 KB

- Estimated disk space required: 12 MB

- Estimated build time: 0.2 SBU

### libblockdev Dependencies

#### Required

gobject-introspection-1.70.0, libbytesize-2.6, libyaml-0.2.5, parted-3.4, and volume_key-0.3.12

#### Optional

btrfs-progs-5.16.2, GTK-Doc-1.33.2, mdadm-4.2, dmraid, bcachefs, and ndctl

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libblockdev

## Installation of libblockdev

Install libblockdev by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --with-python3    \
                --without-gtk-doc \
                --without-nvdimm  \
                --without-dm      &&
    make

This package does not come with a working test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: lvm-cache-stats
Installed Libraries: libbd_btrfs.so, libbd_crypto.so, libbd_fs.so, libbd_kbd.so, libbd_loop.so, libbd_lvm.so, libbd_lvm-dbus.so, libbd_mdraid.so, libbd_mpath.so, libbd_part.so, libbd_part_err.so, libbd_swap.so, libbd_utils.so, libbd_vdo.so, and libblockdev.so
Installed Directories: /etc/libblockdev, /usr/include/blockdev, and /usr/share/gtk-doc/html/libblockdev

### Short Descriptions

lvm-cache-stats | prints statistics on caches on LVM Logical Volumes

Last updated on

- Prev

  libatomic_ops-7.6.12

- Next

  libbytesize-2.6

- Up
- Home